﻿# 3 Ways to show a hit:

# From script
# $ msg("Something")

# In screens
# Action Function(msg3, "Something")

# From python
# msg("Something")

init python:
    def msg3(m):
        t = "fight_notif{}".format(renpy.random.randint(1, 10000))
        renpy.show_screen("fight_notif", msg = m, tag = t, _tag = t)
    def msg4(m):
        t = "fight_notif{}".format(renpy.random.randint(1, 10000))
        renpy.show_screen("fight_notif1", msg = m, tag = t, _tag = t)

transform fight_notif_trans(o):
    parallel:
        ease 1.2 yoffset o
    parallel:
        pause .2
        ease 1 alpha 0

screen fight_notif(msg, tag):
    zorder 2000
    timer 1.3 action Hide(tag)
    text "{}".format(msg) at fight_notif_trans(-200) align .5,.4 size 40 color "#4f0" outlines [ (4, "#000", 0, 0) ]

screen fight_notif1(msg, tag):
    zorder 2000
    timer 1.3 action Hide(tag)
    text "{}".format(msg) at fight_notif_trans(200) align .5,.6 size 40 color "#f00" outlines [ (4, "#000", 0, 0) ]

